Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513626 - [RFE] Allow client requests to preempt scrub
Summary: [RFE] Allow client requests to preempt scrub
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 2.3
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: 3.2
Assignee: Josh Durgin
QA Contact: Parikshith
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1629656
TreeView+ depends on / blocked
 
Reported: 2017-11-15 17:18 UTC by Vikhyat Umrao
Modified: 2019-01-03 19:01 UTC (History)
10 users (show)

Fixed In Version: RHEL: ceph-12.2.8-3.el7cp Ubuntu: ceph_12.2.8-3redhat1
Doc Type: Enhancement
Doc Text:
.New option: `osd_scrub_max_preemptions` With this release a new `osd_scrub_max_preemptions` option has been added. This option sets the maximum number of times Ceph preempts a deep scrub due to a client operation before blocking the client I/O to complete the scrubbing process. The option is set to 5 by default.
Clone Of:
Environment:
Last Closed: 2019-01-03 19:01:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3420221 None None None 2018-04-20 21:14:39 UTC
Red Hat Product Errata RHBA-2019:0020 None None None 2019-01-03 19:01:49 UTC
Github ceph ceph pull 20033 None None None 2018-10-16 23:09:54 UTC
Github ceph ceph pull 22044 None None None 2018-10-16 23:11:08 UTC
Ceph Project Bug Tracker 22769 None None None 2018-02-09 15:23:31 UTC

Comment 12 Vikhyat Umrao 2018-01-19 22:04:01 UTC
Upstream tracker: http://tracker.ceph.com/issues/22156
Upstream PR: https://github.com/ceph/ceph/pull/18971

Will get backported to Luminous.

Comment 13 Vikhyat Umrao 2018-02-09 15:23:32 UTC
Luminous backport tracker - http://tracker.ceph.com/issues/22769
Luminous backport PR - https://github.com/ceph/ceph/pull/20033

maybe it will land in 12.2.4

Comment 20 Josh Durgin 2018-06-25 23:11:48 UTC
This will be in 12.2.6 upstream

Comment 21 Josh Durgin 2018-08-02 23:49:42 UTC
included in 12.2.6

Comment 29 errata-xmlrpc 2019-01-03 19:01:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0020


Note You need to log in before you can comment on or make changes to this bug.